Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/libmateweather: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Mon, 15 Dec 2014 14:50:32 +0000

---
 testing/libmateweather/APKBUILD | 44 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/libmateweather/APKBUILD
diff --git a/testing/libmateweather/APKBUILD b/testing/libmateweather/APKBUILD
new file mode 100644
index 0000000..99184fc
--- /dev/null
+++ b/testing/libmateweather/APKBUILD
_at_@ -0,0 +1,44 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=libmateweather
+pkgver=1.9.1
+pkgrel=0
+pkgdesc="A library to access weather information from online services for numerous locations"
+url="https://github.com/mate-desktop/libmateweather"
+arch="all"
+license="GPL2"
+depends="mate-common"
+depends_dev=""
+makedepends="$depends_dev libsoup-dev autoconf automake libtool intltool glib-dev
+	gtk+-dev gtk-doc"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr \
+	--with-zoneinfo-dir || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="ddb49988d81288e3fa81c51d28f08b35  libmateweather-1.9.1.tar.xz"
+sha256sums="fc384d2389d957a36714594a12341c8a1349cc67cecb67aa205d19e8ae92dd35  libmateweather-1.9.1.tar.xz"
+sha512sums="a10e9d66614c89912e756f71c2fc9a2ed8e64394d527897d23d4b75f6ea518b880598a001d787e6d49d811460faee952aaa1fd5a0479c4eab9a09e681ca9b3e0  libmateweather-1.9.1.tar.xz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Dec 15 2014 - 14:50:32 GMT